%define name python-unittest2
%define srcname unittest2
%define version 1.1.0
%define release 1

%define is_python %(test -e /usr/bin/python && echo 1 || echo 0)
%if %{is_python}
%define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")
%endif

%define _libdir64 %{_prefix}/lib64

%define is_python_64 %(test -e /usr/bin/python_64 && echo 1 || echo 0)
%if %{is_python_64}
%define python_sitelib64 %(python_64 -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")
%endif

Summary: The new features in unittest for Python 2.7 backported to Python 2.3+.
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{srcname}-%{version}.tar.gz
License: UNKNOWN
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Michael Foord <michael@voidspace.org.uk>
Url: http://pypi.python.org/pypi/unittest2

BuildRequires: python, python-devel
Requires: python

%description
unittest2 is a backport of the new features added to the unittest testing
framework in Python 2.7. It is tested to run on Python 2.4 - 2.7.

Thanks to Mark Roddy, there is also a version of for Python 2.3. This is
maintained as a separate branch and is a separate download.

To use unittest2 instead of unittest simply replace ``import unittest`` with
``import unittest2``.

unittest2 is maintained in a mercurial repository. The issue tracker is on
google code:

* `unittest2 hg <http://hg.python.org/unittest2>`_
* `unittest2 issue tracker
  <http://code.google.com/p/unittest-ext/issues/list>`_
* `Article / Docs: New features in unittest
  <http://www.voidspace.org.uk/python/articles/unittest2.shtml>`_


%prep
%setup -q -n %{srcname}-%{version}

mkdir ../32bit
mv * ../32bit
mv ../32bit .
mkdir 64bit
cp -r 32bit/* 64bit/

%build
cd 64bit
python_64 setup.py build

cd ../32bit
python setup.py build

%install
[ -d "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

cd 64bit
python_64 setup.py install --skip-build --root ${RPM_BUILD_ROOT}

cd ../32bit
python setup.py install --skip-build --root ${RPM_BUILD_ROOT}

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,system,-)
%doc 32bit/PKG-INFO 32bit/README.txt
%{_bindir}/*
/usr/bin/*
%{python_sitelib}/*

%changelog
* Wed Sep 20 2017 Ravi Hirekurabar<rhirekur@in.ibm.com> -1.1.0-1
- Updated to 1.1.0
* Thu Jun 12 2013 Tristan Delhalle <Tristan.Delhalle@ext.bull.net> - 0.5.1-1
- first version for AIX V6.1 and higher

